# qownnotes-style
A script for using an external stylesheet to style the preview panel in QOwnNotes, and an included style for tables and lists.

Based on this post in a QOwnNotes issue: https://github.com/pbek/QOwnNotes/issues/430#issuecomment-270444135

## Files
### style_loader.qml
- Just two functions:
  - One to read the external file,
  - One to include (replace) it in the HTML renderer.
- _You can also just type the CSS stuff into this file if you want._

### style.css
- Added a border around tables.
- Added padding within table cells.
- Added padding before and after tables.
- Reduced indent on ordered and unordered lists.
- Changed hyperlink to blue, and added an underline.
- Increased the margin before and after a horizontal rule.

It's pretty fussy about which styles it will recognise, unfortunately! So couldn't collapse table borders, or use any tricks to make the cell borders dissapear.

## Installing
- Keep these files in the same director if you don't want to edit the .QML
  - _In my case I made a 'scripts' folder in with my notes._
- In QOwnNotes go to Note > Settings > Scripting
- Give it a name and point to the the directory your style_loader.qml is living in.
- You might have to 'do something' in a file (make a new line or whatever) to get the changes to render.
- :)
